### Method

# Vips Dbuf read

#### Declaration [src]

    size_t
    vips_dbuf_read (
      VipsDbuf* dbuf,
      unsigned char* data,
      size_t size
    )

#### Description [src]

Up to `size` bytes are read from the buffer and copied to `data`. The number of bytes transferred is returned.

#### Parameters

`data`

  Type: `unsigned char*`

  Read to this area.

  The data is owned by the caller of the method.

`size`

  Type: `size_t`

  Read up to this many bytes.

#### Return value

Type: `size_t`

The number of bytes transferred.